package com.iconplus.smartproc.repository;

import com.iconplus.smartproc.model.entity.Users;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface UsersRepository extends JpaRepository<Users, Long> {

    Optional<Users> findByEmailAndDeletedFalse(String email);
    
}
