package com.iconplus.smartproc.model.response;

import com.iconplus.smartproc.helper.base.BaseResponse;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Set;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class LoginResponse extends BaseResponse {

    private String accessToken;
    private String validity;
    private String refreshToken;
    private String username;
    private String email;
    private Long roleId;
    private String role;
    Set<String> accessMenu;

}
